package com.miya.draw;

import org.minbox.framework.logging.spring.context.annotation.client.EnableLoggingClient;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

/**
 * @author jack
 * <p>
 * 启动类
 */
@EnableAsync
@SpringBootApplication(scanBasePackages = {"com.miya.draw"})
@MapperScan(basePackages = "com.miya.draw.mapper")
@EnableSwagger2
@EnableTransactionManagement
@EnableConfigurationProperties
@EnableLoggingClient
@EnableScheduling
public class DrawApplication {

    public static void main(String[] args) {
        SpringApplication.run(DrawApplication.class, args);
    }

}
