package com.miya.draw.service;

import com.miya.draw.entity.AccountPrize;
import com.baomidou.mybatisplus.extension.service.IService;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author jack
 * @since 2021-05-05
 */
public interface IAccountPrizeService extends IService<AccountPrize> {

    /**
     * 获得用户的抽奖次数
     *
     * @param phone 手机号
     * @param start 开始时间
     * @param end   结束时间
     * @return 已抽奖次数
     */
    Integer gainAlreadyDrawCount(String phone, LocalDateTime start, LocalDateTime end);

    /**
     * 获得我的奖品列表
     *
     * @param phone
     * @return
     */
    List<AccountPrize> listMinePrize(String phone);

    /**
     * 获得所有的中奖信息
     *
     * @param size
     * @return
     */
    List<AccountPrize> listAllWinningInfo(Integer size);

    /**
     * 计算活动参与人数
     *
     * @return
     */
    Integer countJoinActivityPeople();
}
