package com.miya.draw.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.google.common.collect.Lists;
import com.miya.draw.entity.SyncTrade;
import com.miya.draw.mapper.SyncTradeGoodMapper;
import com.miya.draw.mapper.SyncTradeMapper;
import com.miya.draw.service.ISyncTradeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author jack
 * @since 2021-05-07
 */
@Service
public class SyncTradeServiceImpl extends ServiceImpl<SyncTradeMapper, SyncTrade> implements ISyncTradeService {

    @Resource
    private SyncTradeGoodMapper goodMapper;

    @Resource
    private SyncTradeMapper syncTradeMapper;

    @Override
    public List<SyncTrade> listCanDrawGoods(String phone, LocalDateTime start, LocalDateTime end, List<String> storeIdList, List<String> goodCodeList) {
        if (CollectionUtils.isEmpty(storeIdList) || CollectionUtils.isEmpty(goodCodeList)) {
            return Lists.newArrayList();
        }
        LambdaQueryWrapper<SyncTrade> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(SyncTrade::getPhone, phone)
                .between(SyncTrade::getTranTime, start, end)
                .in(SyncTrade::getStoreId, storeIdList)
                .in(SyncTrade::getCode, goodCodeList);
        return syncTradeMapper.selectList(wrapper);
    }

    @Override
    public Integer saveOrUpdateBatchByUniqKey(List<SyncTrade> syncTrades) {
        return syncTradeMapper.saveOrUpdateBatchByUniqKey(syncTrades);
    }

    public static void main(String[] args) {
        BigDecimal bigDecimal = BigDecimal.valueOf(0.4444);
        System.err.println(bigDecimal);
    }
}
