package com.miya.draw;

import com.alibaba.fastjson.JSON;
import com.miya.draw.entity.ActivityGoods;
import com.miya.draw.manager.IDrawManager;
import com.miya.draw.manager.IOtherManager;
import com.miya.draw.model.SyncTradeConfigModel;
import com.miya.draw.service.IActivityGoodsService;
import com.miya.draw.util.OrikaUtil;
import com.miya.draw.xxljob.DrawResultSyncJob;
import com.miya.draw.xxljob.TradeSyncJob;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.http.entity.ContentType;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.mock.web.MockMultipartFile;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;
import java.util.stream.Collectors;

@SpringBootTest
class DrawApplicationTests {

    @Autowired
    protected TradeSyncJob tradeSyncJob;

    @Autowired
    protected DrawResultSyncJob drawResultSyncJob;

    @Autowired
    protected IDrawManager drawManager;

    @Test
    void contextLoads() {

    }


    @Test
    public void testSyncJob() throws Exception {
        SyncTradeConfigModel model = new SyncTradeConfigModel();
        model.setMaxSize(3);
        model.setWriteUnit(3);
        tradeSyncJob.execute(null);
    }

    @Test
    public void testSyncJob1() throws Exception {
        SyncTradeConfigModel model = new SyncTradeConfigModel();
        model.setMaxSize(10);
        drawResultSyncJob.execute(JSON.toJSONString(model));
    }

    @Test
    public void testJob1() throws Exception {
        for (int i = 0; i < 10000; i++) {
            drawManager.drawClick("15314614603");
        }
    }

    @Autowired
    private IOtherManager otherManager;

    @Test
    public void testSendCoupon() {
        otherManager.sendCoupon("123", "", 1L);
    }

    @Resource
    private IActivityGoodsService activityGoodsService;

    @Test
    public void insertGoods() throws IOException {
        String path = "C:\\Users\\Administrator\\Desktop\\2.xlsx";
        File file = new File(path);
        FileInputStream fileInputStream = new FileInputStream(file);
        MultipartFile multipartFile = new MockMultipartFile("copy" + file.getName(), file.getName(), ContentType.APPLICATION_OCTET_STREAM.toString(), fileInputStream);
        List<Object> objects = EasyExcelUtil.readExcel(multipartFile, Model1.class);
        List<Model1> model1List;
        model1List = OrikaUtil.convertList(objects.stream().skip(1).collect(Collectors.toList()), Model1.class);
        System.err.println(JSON.toJSONString(model1List));
        System.err.println(model1List.size());
        List<ActivityGoods> activityGoodsList = model1List.stream()
                .map(x -> {
                    ActivityGoods activityGoods = OrikaUtil.convert(x, ActivityGoods.class);
                    activityGoods.setActivityId(3L);
                    activityGoods.setValidState(1);
                    activityGoods.setCreateTime(LocalDateTime.now());
                    activityGoods.setUpdateTime(LocalDateTime.now());
                    return activityGoods;
                }).collect(Collectors.toList());

        activityGoodsService.saveBatch(activityGoodsList);
    }


    @Data
    public static class Model1 implements Serializable, Cloneable {

        private String type1;

        private String type2;

        @ApiModelProperty(value = "货号")
        private String code;

        private String type3;

        private String type4;

        @ApiModelProperty(value = "新小类")
        private String newType;

        private String type5;

        @ApiModelProperty(value = "活动商品名称")
        private String goodsName;

        @ApiModelProperty(value = "条形码")
        private String barcode;


    }

}
